## net.i2p.router.web
Class ConfigClientsHelper

    java.lang.Object
      net.i2p.router.web.HelperBase
          net.i2p.router.web.ConfigClientsHelper

    public class ConfigClientsHelper

extends HelperBase

Field Summary

Fields inherited from class net.i2p.router.web.HelperBase
`_context, _out`

Constructor Summary
`ConfigClientsHelper()`

Method Summary
`String` `getForm1()`
`String` `getForm2()`
`String` `getForm3()`
`void` `setEdit(String edit)`
`boolean` `showPlugins()`
`(package private) static String` `stripHTML(Properties props, String key)` Like in DataHelper but doesn't convert null to "" There's a lot worse things a plugin could do but...

Methods inherited from class net.i2p.router.web.HelperBase
`_, _, _, _, _x, setContextId, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigClientsHelper

    public ConfigClientsHelper()

Method Detail

### setEdit

    public void setEdit(String edit)

### getForm1

    public String getForm1()

### getForm2

    public String getForm2()

### showPlugins

    public boolean showPlugins()

### getForm3

    public String getForm3()

### stripHTML

    static String stripHTML(Properties props,
                            String key)

  Like in DataHelper but doesn't convert null to "" There's a lot worse things a plugin could do but...